=head1 NAME

B<makedns> - sets up domain name services (DNS) from the entries in /etc/hosts.

=head1 SYNOPSIS

B<makedns> I<options>

B<makedns> [B<-h>|B<--help>]


=head1 DESCRIPTION

B<makedns> makes a DNS server from the /etc/hosts file entries.  It also uses the following
attributes set in the B<site> table as default values:  B<domain>, B<forwarders>, B<nameservers>.
The domain value can be overridden by the B<-d> option.
The netmasks from the B<networks> table will also be used if not overridden by the B<-n> option.


=head1 OPTIONS

=over 6

=item B<-d> I<domain>

The domain name to use.  If not specified, the default used is the B<domain> attribute in the B<site> table.

=item B<-f> I<file>

A file containing more arguments for B<makedns>.

=item B<-z|-Z> nameserver

The hostname of a secondary nameserver to use.

=item B<-b> bootfile

Boot file to use.

=item B<-A>

Do aliases.

=item B<-M>

Do mx records.

=item B<-w>

Do wks.

=item B<-D>

Don't do domains.

=item B<-t>

Do txt records.

=item B<-u> I<user>

User?

=item B<-s> I<server ...>

Servers.

=item B<-m> I<mx>

mx records.

=item B<-c> I<pattern>

C patterns?

=item B<-e> I<pattern>

Elimination patterns?

=item B<-h> I<host>

Host.

=item B<-o> I<options>

Refresh, retry, expire, ttl options, separated by colons.

=item B<-i>

Force serial.

=item B<-H> I<file>

File to read the host entries from.  Default is /etc/hosts.

=item B<-C> I<file>

Comments file.

=item B<-N> I<mask>

Default subnet mask.

=item B<-n> I<mask>

Subnet mask.  If not specified, all the netmasks from the B<networks> table are used.

=back

=head1 SEE ALSO

site(5)

=head1 AUTHOR

Egan Ford E<lt>egan@us.ibm.comE<gt>


